## kodi-visualization-spectrum 1.0.14+git20151213

=== CMakeLists.txt ===
project(visualization.spectrum)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(kodi REQUIRED)

if(WIN32)
  add_definitions(-DDIRECTX_SPEKTRUM_EXPORTS -D_WIN32PC -D_USRDLL)
  set(SHADER_FILES src/DefaultVertexShader.hlsl
                   src/DefaultPixelShader.hlsl)
  set(SHADER_INCLUDES)
  foreach( SHADER_FILE ${SHADER_FILES} )
    get_filename_component( FileName ${SHADER_FILE} NAME_WE )
    if(${FileName} MATCHES "(.+Vertex.+)")
      set(ShaderType vs)
    elseif(${FileName} MATCHES "(.+Pixel.+)")
      set(ShaderType ps)
    else()
      message(FATAL_ERROR ${SHADER_FILE}": Unknown shader type.")
    endif()
    set( IncFile src/${FileName}.inc )
    list( APPEND SHADER_INCLUDES ${IncFile} )

    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${IncFile}
      COMMAND fxc /nologo /T${ShaderType}_4_0_level_9_1 /Vn ${FileName}Code /Fh ${IncFile} ${SHADER_FILE}
      MAIN_DEPENDENCY ${SHADER_FILE}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      VERBATIM)
  endforeach(SHADER_FILE)
  add_custom_target(generate ALL DEPENDS ${SHADER_INCLUDES})
  set(SPECTRUM_SOURCES src/directx_spectrum.cpp)
else(WIN32)
  find_package(OpenGL)
  if(OPENGL_FOUND)
    set(INCLUDES ${OpenGL_INCLUDE_DIR})
    add_definitions(-DHAS_OPENGL)
    set(SPECTRUM_SOURCES src/opengl_spectrum.cpp)
    set(DEPLIBS ${OPENGL_LIBRARIES})
  else()
    find_package(OpenGLES2)
    if(OPENGLES2_FOUND)
      set(INCLUDES ${OPENGLES2_INCLUDE_DIR})
      add_definitions(-DHAS_GLES2)
      set(SPECTRUM_SOURCES src/opengl_spectrum.cpp
                           src/VisGUIShader.cpp
                           src/VisMatrixGLES.cpp
                           src/VisShader.cpp)
      set(DEPLIBS ${OPENGLES2_LIBRARIES})
    else()
      message(FATAL_ERROR "No rendering API found. Bailing")
    endif()
  endif()
endif()

include_directories(${INCLUDES}
                    ${KODI_INCLUDE_DIR})

build_addon(visualization.spectrum SPECTRUM DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-visualization-spectrum (1.0.14+git20151213-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 02 Jun 2016 21:31:08 +0200

kodi-visualization-spectrum (1.0.14+git20151213-1) unstable; urgency=low

  * First upload to Debian
  * Let debug package build automatically
  * Update homepage
  * Add myself to Uploaders and make the package team-maintained
  * Depend on kodi-addons-dev which exists in Debian
  * Convert package to multiarch
  * Fix copyright file
  * Enhance package description and state relation to Kodi versions
  * Bump standards version
  * Add packaging repository URLs

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 28 Mar 2016 00:04:00 +0200

=== debian/control ===
Source: kodi-visualization-spectrum
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>,
           Arne Morten Kvarving <spiff@xbmc.org>
Build-Depends: debhelper (>= 9), cmake, kodi-addons-dev,
               libgl1-mesa-dev, libglew-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/notspiff/visualization.spectrum
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-visualization-spectrum.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-visualization-spectrum.git

Package: kodi-visualization-spectrum
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kodi (<< 16.0~rc3+dfsg2-1)
Enhances: kodi (>=16.0~rc3+dfsg2-1)
Description: Spectrum visualizer addon for Kodi
 Spectrum visualizer for Kodi which has been part of Kodi before
 release 16.

## kodi-visualization-spectrum 1.1.0

=== debian/changelog ===
kodi-visualization-spectrum (1.1.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Jan 2017 12:47:53 -0800

kodi-visualization-spectrum (1.1.0-1) unstable; urgency=medium

  * Add watch file
  * Imported Upstream version 1.1.0
  * Build-depend on kodi-addons-dev version which has all the needed headers

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 14:18:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,15 @@
 Source: kodi-visualization-spectrum
 Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>,
            Arne Morten Kvarving <spiff@xbmc.org>
-Build-Depends: debhelper (>= 9), cmake, kodi-addons-dev,
-               libgl1-mesa-dev, libglew-dev
+Build-Depends: debhelper (>= 9),
+ cmake,
+ kodi-addons-dev,
+ libgl1-mesa-dev,
+ libglew-dev
 Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/notspiff/visualization.spectrum

## kodi-visualization-spectrum 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 
 if(WIN32)
   add_definitions(-DDIRECTX_SPEKTRUM_EXPORTS -D_WIN32PC -D_USRDLL)
@@ -35,7 +35,7 @@
 else(WIN32)
   find_package(OpenGL)
   if(OPENGL_FOUND)
-    set(INCLUDES ${OpenGL_INCLUDE_DIR})
+    set(INCLUDES ${OPENGL_INCLUDE_DIR})
     add_definitions(-DHAS_OPENGL)
     set(SPECTRUM_SOURCES src/opengl_spectrum.cpp)
     set(DEPLIBS ${OPENGL_LIBRARIES})

=== debian/changelog ===
kodi-visualization-spectrum (1.1.1-1ubuntu2) artful; urgency=medium

  * Revert PIE changes for new dpkg

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 27 Apr 2017 19:46:56 +0200

kodi-visualization-spectrum (1.1.1-1ubuntu1) zesty; urgency=medium

  * Do not force PIE hardening to avoid FTBFS on amd64

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Apr 2017 22:40:19 +0200

kodi-visualization-spectrum (1.1.1-1) unstable; urgency=medium

  * Update d/control using cme fix
  * Exclude debian/ dir from upstream tarball.
    This makes merging new upstream releases easier.
  * Imported Upstream version 1.1.1
  * Enable all hardening features

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 22 Jan 2017 13:25:21 +0100

=== debian/control ===
Source: kodi-visualization-spectrum
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>,
           Arne Morten Kvarving <spiff@xbmc.org>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
               cmake,
               kodi-addons-dev (>= 17.0~beta3+dfsg1-2),
               libgl1-mesa-dev,
               libglew-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-visualization-spectrum.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-visualization-spectrum.git
Homepage: https://github.com/notspiff/visualization.spectrum

Package: kodi-visualization-spectrum
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: kodi
Breaks: kodi (<< 16.0~rc3+dfsg2-1)
Description: Spectrum visualizer addon for Kodi
 Spectrum visualizer for Kodi which has been part of Kodi before
 release 16.

=== debian/watch ===
version=4
https://github.com/notspiff/visualization.spectrum/releases /notspiff/visualization.spectrum/archive/v(.+)\.tar\.gz

## kodi-visualization-spectrum 3.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(visualization.spectrum)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

if(WIN32)
  set(APP_RENDER_SYSTEM dx11)
  add_definitions(-DDIRECTX_SPEKTRUM_EXPORTS -D_WIN32PC -D_USRDLL)
  set(SHADER_FILES src/DefaultVertexShader.hlsl
                   src/DefaultPixelShader.hlsl)
  set(SHADER_INCLUDES)
  foreach( SHADER_FILE ${SHADER_FILES} )
    get_filename_component( FileName ${SHADER_FILE} NAME_WE )
    if(${FileName} MATCHES "(.+Vertex.+)")
      set(ShaderType vs)
    elseif(${FileName} MATCHES "(.+Pixel.+)")
      set(ShaderType ps)
    else()
      message(FATAL_ERROR ${SHADER_FILE}": Unknown shader type.")
    endif()
    set( IncFile src/${FileName}.inc )
    list( APPEND SHADER_INCLUDES ${IncFile} )

    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${IncFile}
      COMMAND fxc /nologo /T${ShaderType}_4_0_level_9_1 /Vn ${FileName}Code /Fh ${IncFile} ${SHADER_FILE}
      MAIN_DEPENDENCY ${SHADER_FILE}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      VERBATIM)
  endforeach(SHADER_FILE)
  add_custom_target(generate ALL DEPENDS ${SHADER_INCLUDES})
  set(SPECTRUM_SOURCES src/directx_spectrum.cpp)
else()
  find_package(glm REQUIRED)

  if(APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM)
    find_package(OpenGl REQUIRED)
    set(DEPLIBS ${OPENGL_LIBRARIES})
    set(INCLUDES ${OPENGL_INCLUDE_DIR})
    add_definitions(${OPENGL_DEFINITIONS})
  elseif(APP_RENDER_SYSTEM STREQUAL "gles")
    find_package(OpenGLES REQUIRED)
    set(DEPLIBS ${OPENGLES_LIBRARIES})
    set(INCLUDES ${OPENGLES_INCLUDE_DIR})
    add_definitions(${OPENGLES_DEFINITIONS})
  endif()

  set(SPECTRUM_SOURCES src/opengl_spectrum.cpp)

  include_directories(${GLM_INCLUDE_DIR}
                      ${PROJECT_SOURCE_DIR}/lib)
endif()

message(STATUS "Configured render system: ${APP_RENDER_SYSTEM}")

include_directories(${INCLUDES}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)

build_addon(visualization.spectrum SPECTRUM DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-visualization-spectrum (3.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * debian/copyright: Keep debian/ dir, it is removed anyway with 3.0 (quilt)
  * Update upstream URL
  * Add basic Salsa CI configuration
  * New upstream version 3.0.3
  * Bump build dependency kodi-addons-dev's version to (>= 18.0~)
  * Build-depend on libglm-dev
  * Don't build-depend on libglew-dev
  * Build-depend on kodi-addons-dev (>= 2:18.0~)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:28 +0100

=== debian/control ===
Source: kodi-visualization-spectrum
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>,
           Arne Morten Kvarving <spiff@xbmc.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 9),
               cmake,
               kodi-addons-dev (>= 2:18.0~),
               libgl1-mesa-dev,
               libglm-dev
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-visualization-spectrum
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-visualization-spectrum.git
Homepage: https://github.com/notspiff/visualization.spectrum

Package: kodi-visualization-spectrum
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: kodi
Breaks: kodi (<< 16.0~rc3+dfsg2-1)
Description: Spectrum visualizer addon for Kodi
 Spectrum visualizer for Kodi which has been part of Kodi before
 release 16.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DUSE_LTO=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-visualization-spectrum

=== debian/watch ===
version=4
https://github.com/xbmc/visualization.spectrum/releases /xbmc/visualization.spectrum/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-visualization-spectrum 3.4.0%2Bds1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.spectrum/releases \
/xbmc/visualization.spectrum/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-visualization-spectrum 3.4.0+ds1

=== debian/changelog ===
kodi-visualization-spectrum (3.4.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:20 +0000

kodi-visualization-spectrum (3.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 3.4.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:02:09 +0000

=== debian/control ===
Source: kodi-visualization-spectrum
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libgl1-mesa-dev,
               libglm-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum.git
Homepage: https://kodi.tv/

Package: kodi-visualization-spectrum
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:VISUALIZATIONAPI}
Enhances: kodi
Breaks: kodi (<< 2:19~)
Description: Spectrum visualizer addon for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is Spectrum visualizer for Kodi. It is a rework of the oriignal
 visualizer which has been part of Kodi before release 16.

## kodi-visualization-spectrum 19.0.0+ds1

=== debian/changelog ===
kodi-visualization-spectrum (19.0.0+ds1-2) unstable; urgency=medium

  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:58 +0000

kodi-visualization-spectrum (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:36:45 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                kodi-addons-dev (>= 2:19~),
                libgl1-mesa-dev,
                libglm-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.spectrum/releases \
/xbmc/visualization.spectrum/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-visualization-spectrum 19.0.1+ds1

=== debian/changelog ===
kodi-visualization-spectrum (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:51 +0000

kodi-visualization-spectrum (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libgl1-mesa-dev,
                libglm-dev
 Standards-Version: 4.6.0

## kodi-visualization-spectrum 20.1.0+ds1

=== debian/changelog ===
kodi-visualization-spectrum (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:41 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.spectrum/releases \
/xbmc/visualization.spectrum/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-visualization-spectrum 20.2.0+ds1

=== debian/changelog ===
kodi-visualization-spectrum (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libgl1-mesa-dev,
                libglm-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.spectrum \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-visualization-spectrum 21.0.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,8 +49,7 @@
 
   set(SPECTRUM_SOURCES src/opengl_spectrum.cpp)
 
-  include_directories(${GLM_INCLUDE_DIR}
-                      ${PROJECT_SOURCE_DIR}/lib)
+  include_directories(${GLM_INCLUDE_DIR})
 endif()
 
 message(STATUS "Configured render system: ${APP_RENDER_SYSTEM}")

=== debian/changelog ===
kodi-visualization-spectrum (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:47:34 +0000

kodi-visualization-spectrum (20.2.0+ds1-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:15:25 +0000

kodi-visualization-spectrum (20.2.0+ds1-2) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:47:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libgl1-mesa-dev,
                libglm-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-spectrum.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-visualization-spectrum

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.spectrum \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
